#
# spec file for package goldendict
#
# Copyright (c) 2012-2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright 2013 Tvangeste <i.4m.l33t@yandex.ru>
# Copyright 2011-2017 <opensuse.lietuviu.kalba@gmail.com>
# Copyright 2008-2009 Buschmann <buschmann23@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
# 

Name:           goldendict
Summary:        Dictionary Lookup Program
License:        GPL-3.0+
Url:            http://goldendict.org/
Group:          Productivity/Office/Dictionary
Version:        1.5.0~rc2+git.20170601T224956
Release:        lp150.1.33
Source0:        goldendict-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%if 0%{?suse_version} != 1110
BuildRequires:  eb-devel
%endif
BuildRequires:  git
BuildRequires:  hunspell-devel >= 1.2.4
BuildRequires:  libtiff-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libzip-devel
BuildRequires:  lzo-devel
BuildRequires:  zlib-devel
BuildRequires:  unzip
BuildRequires:  xz

%if 0%{?suse_version}
BuildRequires:  libbz2-devel
BuildRequires:  update-desktop-files
%if 0%{?suse_version} > 1320 || ( 0%{?suse_version} == 1315 && 0%{?is_opensuse} ) || ( 0%{?suse_version} == 1315 && 0%{?sle_version} >= 120200)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xtst)
%else
BuildRequires:  libQtWebKit-devel
BuildRequires:  libqt4-devel >= 4.5.0
%endif
%if ( 0%{?suse_version} == 1315 && 0%{?is_opensuse} ) || 0%{?suse_version} > 1320
BuildRequires:  libao-devel
BuildRequires:  pkgconfig(libavformat)
#BuildRequires:  libavutil-devel
#BuildRequires:  libffmpeg-devel
%endif
%endif


%if 0%{?fedora_version}
BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  libXtst-devel
BuildRequires:  bzip2-devel
BuildRequires:  qt-devel
BuildRequires:  qt-webkit-devel >= 4.5
%endif


%description
Feature-rich dictionary lookup program.
    * Use of WebKit for an accurate articles' representation, complete with
      all formatting, colors, images and links.
    * Support of multiple dictionary file formats:
      * Babylon .BGL files
      * StarDict .ifo/.dict/.idx/.syn dictionaries
      * Dictd .index/.dict(.dz) dictionary files
      * ABBYY Lingvo .dsl source files
      * ABBYY Lingvo .lsa/.dat audio archives
    * Support for Wikipedia, Wiktionary or any other MediaWiki-based sites
    * Scan popup functionality. A small window pops up with translation of a
      word chosen from antoher application.
    * Full-text search.
    * And much more...

Author:
-------
    Konstantin Isakov

%prep
%setup -n goldendict-%{version} -q 
 git init 

%build
%if 0%{?suse_version}
  %if 0%{?suse_version} > 1320 || ( 0%{?suse_version} == 1315 && 0%{?is_opensuse} ) || (0%{?suse_version} == 1315 && 0%{?sle_version} >= 120200)
    %if 0%{?is_opensuse}
      %qmake5 \
        PREFIX=%{_prefix} "CONFIG+=zim_support"
      %make_jobs
    %else
      %qmake5 \
        PREFIX=%{_prefix} "DISABLE_INTERNAL_PLAYER=1" "CONFIG+=zim_support"
      %make_jobs
    %endif
  %else
      qmake PREFIX=/usr "DISABLE_INTERNAL_PLAYER=1" && make clean && make
      make %{?jobs:-j %jobs}
  %endif
%endif
%if 0%{?fedora_version}
  qmake-qt4 PREFIX=/usr "DISABLE_INTERNAL_PLAYER=1" && make clean && make
  make %{?jobs:-j %jobs}
%endif

%install
%if 0%{?suse_version}
  %if 0%{?suse_version} > 1320 || ( 0%{?suse_version} == 1315 && 0%{?is_opensuse} ) || ( 0%{?suse_version} == 1315 && 0%{?sle_version} >= 120200)
    %qmake5_install
  %else
    INSTALL_ROOT=%{buildroot} %makeinstall
  %endif
  %suse_update_desktop_file -r %{name} Office Dictionary
%endif
%if 0%{?fedora_version}
   rm -rf %{buildroot}
   make install DESTDIR=%buildroot INSTALL_ROOT=%{buildroot} INSTALL="install -p"
%endif

%clean
  rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.txt
%defattr(755,root,root,755)
%_bindir/%{name}
%defattr(644,root,root,755)
%_datadir/applications/%{name}.desktop
%_datadir/pixmaps/%{name}.png
%_datadir/%{name}

%changelog
* Sun Jun  4 2017 opensuse.lietuviu.kalba@gmail.com
- Update to 1.5.0 RC2 version
- Remove install-paths.patch
- Remove goldendict-gcc47.patch
* Sun Mar  5 2017 opensuse.lietuviu.kalba@gmail.com
- Build with Qt5 for openSUSE Leap 42 and newer openSUSE versions,
  also for SUSE 12 SP2 or newer. Other versions will still use Qt4.
* Sun Mar 18 2012 dimstar@opensuse.org
- Add goldendict-gcc47.patch: Fix build with gcc 4.7.
* Wed Oct 12 2011 opensuse.lietuviu.kalba@gmail.com
- remove licenses from requires section
- use 1291478773 git revision (version 1.0.1)
* Tue Nov 16 2010 dmitry@roshchin.org
- update to fresh git sources
* Sat Sep 18 2010 dmitry@roshchin.org
- update to fresh git sources
- add languages in spec file
* Fri Aug 20 2010 opensuse.lietuviu.kalba@gmail.com
- update to fresh git sources
- including lt_LT, uk_UA and ar_SA languages
  Mon Dec 21 19:14:57 CET 2009 - Elmar Stellnberger
- update to fresh git sources resolving frequent SIGSEGV-crashes
- goldendict-0.9.0-gcc44.patch no longer needes
- advance install-path patch
* Wed Sep 16 2009 buschmann23@opensuse.org
- fixed desktop file category
* Wed Sep 16 2009 buschmann23@opensuse.org
- added goldendict-0.9.0-gcc44.patch
- renamed instal-paths.patch to install-paths.patch
* Mon Sep 14 2009 buschmann23@opensuse.org
- BuildRequires hunspell-devel >= 1.2.4, and also requires
  hunspell >= 1.2.4 to run
* Wed Jul  8 2009 buschmann23@opensuse.org
- initial package
- version 0.9.0
